com.holonplatform.vaadin.flow.components

## Interface Components.listing

- Enclosing interface:
    Components

      public static interface Components.listing

  `ItemListing` builders provider.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> BeanListingBuilder<T>` | `items(Class<T> beanType)` Get a `BeanListingBuilder` to create and setup a `BeanListing` using given `beanType`.
    `static <P extends com.holonplatform.core.property.Property> PropertyListingBuilder` | `properties(Iterable<P> properties)` Get a `PropertyListingBuilder` to create and setup a `PropertyListing`.
    `static PropertyListingBuilder` | `properties(com.holonplatform.core.property.Property<?>... properties)` Get a `PropertyListingBuilder` to create and setup a `PropertyListing`.

- - ### Method Detail

    - #### items

          static <T> BeanListingBuilder<T> items(Class<T> beanType)

      Get a `BeanListingBuilder` to create and setup a `BeanListing` using given `beanType`.
      Type Parameters:
        `T` - Bean type
      Parameters:
        `beanType` - The bean class, i.e. the item type (not null)
      Returns:
        A new `BeanListingBuilder`

    - #### properties

          static <P extends com.holonplatform.core.property.Property> PropertyListingBuilder properties(Iterable<P> properties)

      Get a `PropertyListingBuilder` to create and setup a `PropertyListing`.
      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - The listing property set (not null)
      Returns:
        A new `PropertyListingBuilder`

    - #### properties

          static PropertyListingBuilder properties(com.holonplatform.core.property.Property<?>... properties)

      Get a `PropertyListingBuilder` to create and setup a `PropertyListing`.
      Parameters:
        `properties` - The listing property set (not null)
      Returns:
        A new `PropertyListingBuilder`

Copyright © 2020 The Holon Platform. All rights reserved.